Bug 1259599 - [RFE] [Undercloud] Undercloud High Availability
[RFE] [Undercloud] Undercloud High Availability
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Angus Thomas
Udi Shkalim
: FutureFeature
: 1337935 (view as bug list)
Depends On:
Blocks: 1188000 1476900 1496484
  Show dependency treegraph
 
Reported: 2015-09-03 03:07 EDT by Takashi Aosawa
Modified: 2018-01-20 21:52 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2470691 None None None 2016-11-23 01:42 EST

  None (edit)
Description Takashi Aosawa 2015-09-03 03:07:14 EDT
1. Bug Overview:
a) Description of bug report: 

[RHEL-OSP 7.0]: Undercloud high availability

b) Bug Description:

Currently RHEL OSP Director does not provide a way
to make the Undercloud high availability

Version-Release number of selected component:
 RHEL OSP Director 7.0 GA
 
2. Bug Details:

I would like to know how to make the Undercloud high availability
composition.

The Undercloud is an OpenStack instance.  Therefore following
documents may be helpful as references.

  OpenStack High Availability Guide
  http://docs.openstack.org/high-availability-guide/content/index.html

  High availability with Red Hat Enterprise Linux OpenStack Platform 4
  http://www.redhat.com/ja/resources/high-availability-red-hat-enterprise-linux-openstack-platform-4

But I am not sure these are enough for the undercloud
and could recommend them to our customers.

According to the roadmap of the Director, Red Hat seems to have
a plan of high availability Undercloud.  I guess it because
3 nodes are figured for the Undercloud nodes.  (See p.32, p.39)

  RHEL OpenStack Platform director Overview and Roadmap
  http://videos.cdn.redhat.com/summit2015/presentations/13790_red-hat-enterprise-linux-openstack-platform-deployment-tool-roadmap.pdf

If Red Hat has the plan and it is realized in a short term,
we can recommend customers to wait for updating the Director.

If it takes time that the Director supports the Undercloud
high availability, alternative way should be presented to customers.

  
3. Business Justification

Generally speaking, production environments always require
high availability composition to remove SPOF.
The Undercloud node can be an SPOF.


4. Primary contact at Red Hat, email, phone (chat)
  ykawada@redhat.com (Yo kawada)

5. Primary contact at Partner, email, phone (chat)
  t-aosawa@cp.jp.nec.com (Takashi Aosawa)
Comment 6 Mike Burns 2016-04-07 16:50:54 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 10 Fabio Massimo Di Nitto 2016-10-12 00:02:55 EDT
*** Bug 1337935 has been marked as a duplicate of this bug. ***
Comment 15 Yoshiki Ohmura 2017-02-02 20:07:08 EST
Hi Aosawa-san,

Other partner also need to track this feature and requested to make this visible for them.
I believe this BZ doesn't contain confidential information, but I'd like to ask you if you can make this RFE public or make this RFE visible from other partner.

Best Regards,
Yoshiki
Comment 17 Yoshiki Ohmura 2017-02-03 03:30:27 EST
Hi Aosasa-san,

Thank you for your comment via email.
Now I made this one as public RFE.

Best Regards,
Yoshiki
Comment 19 Red Hat Bugzilla Rules Engine 2017-02-06 14:31:14 EST
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 23 Dan Prince 2017-07-14 10:50:44 EDT
Agree with Fabio. This task most likely fits with the Deployment framework DFG.

----

Some general thoughts here on the approach we take to implement this. I would not recommend using instack-undercloud as a basis. I would much rather see us leveral some of the new containers deployment bits with Ansible to drive a multi-node undercloud installer.

The new tripleo-heat-templates underclouds gets us part of the way here. This along with deployed-server and some ansible orchestration around it could do the trick I think quite nicely. There are some up-front network considerations that need to be worked out for VIPs, etc (and perhaps we will consult PIDONE for these details) but in general I think most of this is deployment architecture work.
Comment 26 Jaromir Coufal 2017-08-10 15:18:25 EDT
Moving out of OSP13. Delivering containerized undercloud is having higher priority.

Note You need to log in before you can comment on or make changes to this bug.